# gs-uuid

[GS Open Source](https://garrity.co/oss.html) |
[License (MIT)](./LICENSE)

UUID's for Scala 3 with generation based on JUG, and serialization based on code
from Jackson Databind. The only dependency is JUG, whereas the relevant Jackson
code is copied to this implementation (and slightly modified).

- [Usage](#usage)
    - [Dependency](#dependency)
- [Donate](#donate)

## Usage

### Dependency

This artifact is available in the Garrity Software Maven repository.

```scala
externalResolvers +=
  "Garrity Software Releases" at "https://maven.garrity.co/releases"

val GsUuid: ModuleID =
  "gs" %% "gs-uuid-v0" % "$VERSION"
```

### Type

```scala
import gs.uuid.v0.UUID

given UUID.Generator = UUID.Generator.version7

val id = UUID.generate()

println(id.str()) // 292c9bc70d0f4d998053d7b2f72cd9b7
```

## Donate

Enjoy this project or want to help me achieve my [goals](https://garrity.co)?
Consider [Donating to Pat on Ko-fi](https://ko-fi.com/gspfm).
